Skip to main content
GET
/
customers
/
{customer_id}
/
assignments
Get Customer Assignment History
curl --request GET \
  --url https://api.{your-broker}.slate-labs.com/customers/{customer_id}/assignments
[
  {
    "id": 123,
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "new_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "performed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "<string>",
    "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "note": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Path Parameters

customer_id
string<uuid>
required

Query Parameters

role
string | null
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

id
integer
required
customer_id
string<uuid>
required
role
string
required
new_agent_id
string<uuid> | null
required
performed_by
string<uuid> | null
required
source
string
required
batch_id
string<uuid> | null
required
note
string | null
required
created_at
string<date-time>
required